/*
 * ComplexEventSample.java
 *
 * This sample java monitor simply prints out all received SimpleEvents and
 * ComplexEvents.
 *
 * $Copyright(c) 2005 - 2006 Progress Software Corporation. All Rights Reserved.$ 
 * $Copyright (c) 2013,2015,2019 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$ 
 * Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG 
 */

import com.apama.jmon.*;
import com.apama.jmon.annotation.*;

@Application(name = "Complex Event Sample",
			 author = "My Name",
			 version = "1.0",
			 company = "My Company",
			 description = "Complex Event java monitor sample", 
			 classpath = ""
			 )

@MonitorType(description = "A simple java monitor which prints out received SimpleEvents and ComplexEvents.")
public class ComplexEventSample implements Monitor, MatchListener {
	/**define ID as this class extends serializable class(es) */
	private static final long serialVersionUID = 2L;
	/**
	* No argument constructor used by the jmon framework on
	* application loading
	*/
	public ComplexEventSample() {}


	/**
	* Implementation of the Monitor interface onLoad method. Sets up
	* event expressions which look for all SimpleEvents and ComplexEvents.
	*/
	public void onLoad() {
		EventExpression eventExpr = new EventExpression("all SimpleEvent(): e");
		eventExpr.addMatchListener(this);

		eventExpr = new EventExpression("all ComplexEvent(): e");
		eventExpr.addMatchListener(this);
	}


	/**
	* Implementation of the MatchListener interface match method. Extracts the
	* event that caused one of the event expressions to trigger and emits the
	* event.
	*/
	public void match(MatchEvent event) {
		((Event)event.getMatchingEvents().get("e")).emit();
	}
}
