/*
 * SimpleEvent.java
 *
 * Class which defines a simple event conisting of a single float field, which
 * will be used inside ComplexEvent.
 *
 * $Copyright(c) 2005 - 2006 Progress Software Corporation. All Rights Reserved.$ 
 * $Copyright (c) 2013,2019 Software AG, Darmstadt, Germany and/or Software AG USA Inc., Reston, VA, USA, and/or its subsidiaries and/or its affiliates and/or their licensors.$ 
 * Use, reproduction, transfer, publication or disclosure is prohibited except as specifically provided for in your License Agreement with Software AG 
 */

import com.apama.jmon.Event;
import com.apama.jmon.annotation.EventType;

@EventType(description = "Event which contains a single, floating point field")
public class SimpleEvent extends Event {
	/**define ID as this class extends serializable class Event */
	private static final long serialVersionUID = 3L;

	/** Event field */
	public double f;


	/**
	* No argument constructor
	*/
	public SimpleEvent() {
		this(0.0);
	}


	/**
	* Construct a SimpleEvent object and set the instance variable f
	*
	* @param f New value of event field
	*/
	public SimpleEvent(double f) {
		this.f = f;
	}
}
